keyboard_callback(3)

NAME
keyboard_callback

SYNOPSIS
#include <allegro.h>

extern int (*keyboard_callback)(int key);

DESCRIPTION
If set, this function is called by the keyboard handler in response to every keypress. It is passed a copy of the value that is about to be added into the input buffer, and can either return this value unchanged, return zero to cause the key to be ignored, or return a modified value to change what readkey() will later return. This routine executes in an interrupt context, so it must be in locked memory.

SEE ALSO
install_keyboard(3), readkey(3), ureadkey(3), keyboard_ucallback(3), keyboard_lowlevel_callback(3)